package de.ozgcloud.bescheid;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class SentInfoMapperTest {

	private SentInfoMapper mapper = Mappers.getMapper(SentInfoMapper.class);

	@DisplayName("Map to")
	@Nested
	class TestMapTo {

		@Test
		void shouldMap() {
			var mappedSentInfo = mapper.mapTo(SentInfoTestFactory.create());

			assertThat(mappedSentInfo).usingRecursiveComparison().isEqualTo(GrpcSentInfoTestFactory.create());
		}
	}
}
